knsec3hash(1)

NAME
knsec3hash - Simple utility to compute NSEC3 hash (libknot equivalent of ISC nsec3hash)

SYNOPSIS
knsec3hash {salt} {algorithm} {iterations} {domain-name}

DESCRIPTION
This utility generates NSEC3 hash for a given domain name and parameters of NSEC3 hash.

ARGUMENTS

salt
    Specifies binary salt encoded as a hexadecimal string.

algorithm
    Specifies hashing algorithm number. Currently the only supported algorithm is SHA-1 (number 1).

iterations
    Specifies the number of additional iterations of the hashing algorithm.

domain-name
    Specifies the domain name to be hashed.

SEE ALSO
RFC 5155 - DNS Security (DNSSEC) Hashed Authenticated Denial of Existence.

EXAMPLE
$ knsec3hash c01dcafe 1 10 knot-dns.cz
7PTVGE7QV67EM61ROS9238P5RAKR2DM7 (salt=c01dcafe, hash=1, iterations=10)

AUTHOR
Jan Vcelak (http://knot-dns.cz)

Please send any bugs or comments to knot-dns@labs.nic.cz

SEE ALSO
knotc(8), knotd(8).